#include <iostream>
using namespace std;
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int N, M, suma = 0;
    cin >> N >> M;
    int A[N], prijatelji[N][2];
    for(int i = 0; i < N; i++){
        cin >> A[i];
        prijatelji[i][1] = 0;
        prijatelji[i][0] = 0;
    }
    for(int i = 0; i < M; i++){
        int x, y;
        cin >> x >> y;
        if(A[--x] + A[--y] > 0){
            prijatelji[x][0]++;
            prijatelji[y][0]++;
        }
        else{
            prijatelji[x][1]++;
            prijatelji[y][1]++;
        }
    }
    for(int i = 0; i < N; i++){
        suma += A[i] * (prijatelji[i][0] - prijatelji[i][1]);
    }
    cout << suma;
    return 0;
}